apply plugin: 'com.android.library'

android {
    compileSdkVersion rootProject.ext.android.compileSdkVersion

    defaultConfig {
        minSdkVersion rootProject.ext.android.minSdkVersion
        targetSdkVersion rootProject.ext.android.targetSdkVersion

        versionCode 1
        versionName "${MOGO_PASSPORT_VERSION}"

        consumerProguardFiles "consumer-rules.pro"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
}

dependencies {
    implementation fileTree(dir: "libs", include: ["*.jar"])
    // passport-for-sdk 外部SDK版本
    api 'com.zhidao.thirdlogin:third-login:1.0.14'
    // passport-for-internal 内部SDK版本
    implementation 'com.zhidao.accountservice:account-sdk:1.0.18'

}

apply from: new File(rootProject.rootDir, "gradle/upload.gradle").toString()